# generate-views

## Purpose

Generates a set if views for the given domain class

## Examples

    grails generate-views Book

## Description

Grails supports a feature known as scaffolding which involves the generation of a CRUD (Create/Read/Update/Delete) interface for a given domain class.

The `generate-views` command allows you to generate a set of views that implement CRUD for the given domain class. So for a domain class `Book` views in `grails-app/views/book` will be generated.

Usage:

    grails generate-view [domain class name]

Fired Events:

- `StatusUpdate` - When generation begins
- `StatusFinal` - When generation completes